package com.jpattern.orm.generator.reflection;

import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

import com.jpattern.orm.generator.wrapper.TypeWrapper;

/**
 * 
 * Set the value of a using the related setter method
 * 
 * @author Francesco Cina'
 *
 * Mar 31, 2012
 */
public class GetterWrappedGetFieldManipulator extends AGetFieldManipulator {

	private final Method getterMethod;
	private final TypeWrapper<Object, Object> wrapper;

	public GetterWrappedGetFieldManipulator(Method getterMethod, TypeWrapper<Object, Object> wrapper) {
		this.getterMethod = getterMethod;
		this.wrapper = wrapper;
	}

	@Override
	public Object getValue(Object bean) throws IllegalArgumentException, IllegalAccessException, InvocationTargetException {
		return wrapper.unWrap(getterMethod.invoke(bean));
	}

}
