package com.jpattern.orm.generator.wrapper;

/**
 * 
 * @author Francesco Cina'
 *
 * Apr 1, 2012
 */
public class CharacterToStringWrapper implements TypeWrapper<Character, String> {

	@Override
	public Class<String> resultSetTypeToUse() {
		return String.class;
	}

	@Override
	public Character wrap(String value) {
		if ((value==null) || value.isEmpty()) {
			return null;
		}
		return value.charAt(0);
	}

	@Override
	public String unWrap(Character value) {
		if (value==null) {
			return null;
		}
		return String.valueOf(value);
	}

}
