package com.jpattern.orm.generator.wrapper;

import java.sql.Timestamp;

import org.joda.time.DateTime;

/**
 * 
 * @author Francesco Cina'
 *
 * Mar 27, 2012
 */
public class JodaDateTimeToSqlTimestampWrapper implements TypeWrapper<DateTime, Timestamp> {

	@Override
	public Class<Timestamp> resultSetTypeToUse() {
		return Timestamp.class;
	}

	@Override
	public DateTime wrap(Timestamp value) {
		if (value==null) {
			return null;
		}
		return new DateTime(value);
	}

	@Override
	public Timestamp unWrap(DateTime value) {
		if (value==null) {
			return null;
		}
		return new Timestamp(value.getMillis());
	}

}
