package com.jpattern.orm.generator.wrapper;

import java.sql.Timestamp;

import org.joda.time.LocalDateTime;

/**
 * 
 * @author Francesco Cina'
 *
 * Mar 27, 2012
 */
public class JodaLocalDateTimeToSqlTimestampWrapper implements TypeWrapper<LocalDateTime, Timestamp> {

	@Override
	public Class<Timestamp> resultSetTypeToUse() {
		return Timestamp.class;
	}

	@Override
	public LocalDateTime wrap(Timestamp value) {
		if (value==null) {
			return null;
		}
		return new LocalDateTime(value);
	}

	@Override
	public Timestamp unWrap(LocalDateTime value) {
		if (value==null) {
			return null;
		}
		return new Timestamp(value.toDateTime().getMillis());
	}

}
