package com.jpattern.orm.generator.wrapper;

import java.sql.Timestamp;

import org.joda.time.LocalDate;

/**
 * 
 * @author Francesco Cina'
 *
 * Mar 27, 2012
 */
public class JodaLocalDateToSqlTimestampWrapper implements TypeWrapper<LocalDate, Timestamp> {

	@Override
	public Class<Timestamp> resultSetTypeToUse() {
		return Timestamp.class;
	}

	@Override
	public LocalDate wrap(Timestamp value) {
		if (value==null) {
			return null;
		}
		return new LocalDate(value);
	}

	@Override
	public Timestamp unWrap(LocalDate value) {
		if (value==null) {
			return null;
		}
		return new Timestamp(value.toDateMidnight().getMillis());
	}

}
