package com.jpattern.orm.generator.wrapper;

import java.math.BigDecimal;

/**
 * 
 * @author Francesco Cina'
 *
 * Apr 1, 2012
 */
public class LongToBigDecimalWrapper implements TypeWrapper<Long, BigDecimal> {

	@Override
	public Class<BigDecimal> resultSetTypeToUse() {
		return BigDecimal.class;
	}

	@Override
	public Long wrap(BigDecimal value) {
		if (value==null) {
			return null;
		}
		return value.longValue();
	}

	@Override
	public BigDecimal unWrap(Long value) {
		if (value==null) {
			return null;
		}
		return BigDecimal.valueOf(value);
	}

}
